Creating a whitelabel discount coupon

Following these instructions you will be able to create fixed-whitelabel discount coupon

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

There are two types of discount coupon available for whitelabel integrations. Let's first take a look how to create a fixed-whitelabel discount coupon.

Fixed-whitelabel discount coupon

To create a fixed-whitelabel discount coupon, it's basically necessary to POST the following request to https://api.ingresse.com/v2/coupon/coupons

{
    "category": "whitelabel",
    "type": "fixed",
    "discount": "50",
    "name": "fixed-whitelabel",
    "usageLimit": 50,
    "startUsage": "2019-08-01T17:38:00-3:00",
    "endUsage": "2019-12-31T18:38:00-3:00",
    "targetEvents": [
        {
            "eventId": 100
        },
        {
            "eventId": 200
        }
    ]
}

Dynamic-whitelabel discount coupon

Now, if you have to create a dynamic-whitelabel discount coupon (for example %) you will have to POST the following request

{
    "category": "whitelabel",
    "type": "dynamic",
    "discount": "50",
    "name": "dynamic-whitelabel",
    "usageLimit": 50,
    "startUsage": "2019-08-01T17:38:00-3:00",
    "endUsage": "2019-12-31T18:38:00-3:00",
    "targetEvents": [
        {
            "eventId": 100
        },
        {
            "eventId": 200
        }
    ]
}
Body Params
string
required

whitelabel

string
required

"fixed" or "dynamic"

int32
required

50

string
required

"fixed-whitelabel" or "dynamic-whitelabel"

int32

50

string
required

2019-08-01T17:38:00-3:00

string

2019-12-31T18:38:00-3:0

targetEvents
array
targetEvents
Responses

Language
Credentials
Query
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json